Bug 160922 - ldconfig update crashes kicker when ksim is running (under kde3.3)
ldconfig update crashes kicker when ksim is running (under kde3.3)
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdeutils (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-18 14:08 EDT by Jason Boisvert
Modified: 2010-12-16 11:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-16 11:20:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Boisvert 2005-06-18 14:08:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.0.4-1.4.1 Firefox/1.0.4

Description of problem:
ldconfig update crashes kicker when ksim is running (under kde3.3)

If ksim is running under kde3.3 and ldconfig is called and an update is required, 
kicker crashes. It seems to happen everytime an rpm calls ldconfig or if ldconfig is called manually and makes an update. (If no update is needed, kicker won't crash.)

If you turn off ksim, the problem stops.

Version-Release number of selected component (if applicable):
kde 3.3

How reproducible:
Always

Steps to Reproduce:
1.start ksim -- I ran with hd, net and cpu modules
2.install rpm, probably one that installs a library (I'm not sure about this)
3.run ldconfig -- or if ldconfig runs as a part of the rpm
  

Actual Results:  the kicker crashed several times.

Expected Results:  Nothing should have happened accept the installation of the program. 
This does not happen when ksim is not running.

Additional info:

It only occurs when ksim is running and can be fixed by turning off ksim.
Comment 1 Ngo Than 2005-07-07 05:50:04 EDT
I'm able to reproduce this bug on my machine. It seems a bug in kdebase.
Comment 2 Ngo Than 2005-07-07 07:38:57 EDT
strange, it did happen by first time when i started ldconfig manually,
but after that it does not crash anymore when i tried to start ldconfig manually
or installed some libs packages which start ldconfig!

Could you still reproduce this bug ?
Comment 3 Jason Boisvert 2005-07-07 08:55:44 EDT
I can still reproduce the bug under FC3. I have cpu and net modules running on
ksim. 
The crash reproduces anytime ldconfig actually runs -- but installing new
libraries should trigger that. I got it to crash by installing a random rpm.
If you want me to try other scenarios, I can.
Jason
Comment 4 Ngo Than 2005-07-07 10:17:41 EDT
yes, please. It's very helpful for debugging if i can get the backtrace.

Could you please install kdelibs/kdebase/kdeutils debuginfos packages and then
try to get the backtrace. Thanks
Comment 5 Jason Boisvert 2005-07-07 11:29:57 EDT
Alright. Give me a day or two.
Comment 6 Jason Boisvert 2005-07-08 01:10:31 EDT
here is the backtrace after I installed the recommended rpms.

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208613184 (LWP 4515)]
[KCrash handler]
#4  0x0056e876 in CpuView::updateView () from /usr/lib/kde3/ksim_cpu.so
#5  0x0056eb1c in CpuView::qt_invoke () from /usr/lib/kde3/ksim_cpu.so
#6  0x05ff310e in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#7  0x05ff37e4 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#8  0x063278dd in QTimer::timeout () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#9  0x06012ebc in QTimer::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#10 0x05f94539 in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#11 0x05f946ca in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#12 0x0033f3f8 in KApplication::notify () from /usr/lib/libkdecore.so.4
#13 0x05f888ab in QEventLoop::activateTimers ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#14 0x05f446fe in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#15 0x05fa9b85 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#16 0x05fa9ade in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#17 0x05f9373b in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#18 0x0016306e in kdemain () from /usr/lib/libkdeinit_kicker.so
#19 0x00d746b0 in kdeinitmain () from /usr/lib/kde3/kicker.so
#20 0x0804dfb1 in ?? ()
#21 0x00000001 in ?? ()
#22 0x09096c28 in ?? ()
#23 0x00000001 in ?? ()
#24 0x09096a17 in ?? ()
#25 0x00000000 in ?? ()
Comment 7 Ngo Than 2005-07-14 10:13:13 EDT
needing some infos, are you using SMP kernel? is hyperthreading enable?
Comment 8 Ngo Than 2005-07-14 10:47:14 EDT
I will upload new kdeutils-3.3.1-2.2 on ftp://people.redhat.com/than/rhel3/ today.
It should fix this problem in ksim. It would be nice if you could test it please. 

Thanks
Comment 9 Jason Boisvert 2005-07-14 10:51:23 EDT
I will test it.
I am on a laptop and don't have smp running. It's a centrino M processor with no
hyperthreading.
Comment 10 Ngo Than 2005-07-14 11:00:58 EDT
it's now available on ftp://people.redhat.com/than/rhel3/. you can download it
Comment 11 Jason Boisvert 2005-07-14 12:51:03 EDT
I installed kdeutils and rebooted.
I ran my ati-fglrx driver installation rpm and kicker crashed.

Here is the backtrace.

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208736064 (LWP 4506)]
[KCrash handler]
#4  0x001bd876 in CpuView::updateView () from /usr/lib/kde3/ksim_cpu.so
#5  0x001bdb1c in CpuView::qt_invoke () from /usr/lib/kde3/ksim_cpu.so
#6  0x0601b10e in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#7  0x0601b7e4 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#8  0x0634f8dd in QTimer::timeout () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#9  0x0603aebc in QTimer::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#10 0x05fbc539 in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#11 0x05fbc6ca in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#12 0x002ca3f8 in KApplication::notify () from /usr/lib/libkdecore.so.4
#13 0x05fb08ab in QEventLoop::activateTimers ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#14 0x05f6c6fe in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#15 0x05fd1b85 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#16 0x05fd1ade in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#17 0x05fbb73b in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#18 0x0049b06e in kdemain () from /usr/lib/libkdeinit_kicker.so
#19 0x0012d6b0 in kdeinitmain () from /usr/lib/kde3/kicker.so
#20 0x0804dfb1 in ?? ()
#21 0x00000001 in ?? ()
#22 0x09a09688 in ?? ()
#23 0x00000001 in ?? ()
#24 0x09abe767 in ?? ()
#25 0x00000000 in ?? ()
Comment 12 Ngo Than 2005-07-14 13:03:30 EDT
I forget to apply the patch, and it should still crash of course. sorry for this!
I will upload new kdeutils-3.3.1-2.3 in next 10 minutes. Please try again.
Many thanks for testing.
Comment 13 Ngo Than 2005-07-14 13:15:00 EDT
kdeutils-3.3.1-2.3 is now available on ftp://people.redhat.com/than/rhel4.
Comment 14 Jason Boisvert 2005-07-14 17:46:36 EDT
That seems to have fixed it. 
I tried twice and both times it was fine.
Thanks.
Jason
Comment 15 Ngo Than 2005-07-15 05:14:59 EDT
if we do update it for RHEL4, this will be included. Many thanks for your  
report.  
Comment 18 Suzanne Yeghiayan 2010-12-16 11:20:43 EST
Unfortunately this issue did not get resolved in RHEL 4.9.
If this is still a concern, please contact your Red Hat Support representative to request an exception.

Note You need to log in before you can comment on or make changes to this bug.